Cluster を変更します (V1)
ノート
専用クラスターを変更します。クラスターに割り当てられた CU 数を増減できます。
POST/v1/clusters/{CLUSTER_ID}/modify
https://controller.api.${CLOUD_REGION}.zillizcloud.com
📘ノート
${CLOUD_REGION}を、デプロイに適したリージョンに置き換える必要があります。- クラウドリージョンIDを取得するには、Zilliz Cloudコンソールまたはクラウドリージョンの一覧を参照してください。
shell
export CLOUD_REGION="gcp-us-west1"
export BASE_URL="https://controller.api.${CLOUD_REGION}.zillizcloud.com"
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API key である必要があります。
値の例: Bearer {{TOKEN}}
CLUSTER_IDstringpath必要
設定を変更するクラスターの ID。
値の例: {{CLUSTER_ID}}
リクエスト・ボディapplication/json
cuSizeinteger必要
変更後にクラスターに関連付けられる CU サイズ。
free および serverless クラスターでは、値は常に 0 です。
Standard plan の dedicated クラスターでは、値は 1 ~ 32 で、指定可能な値は 1, 2, 4, 8, 12, 16, 20, 24, 28, 32 です。
Enterprise plan の dedicated クラスターでは、値は 1 ~ 1,024 で、指定可能な値は 1, 2, 4, 8, 12, 16, 20, 24, 28, 32,...,64, 72, 80, 88,...,256, 272, 288, ...,1024 です。
CU サイズの増分ルールの詳細については、Detailed Plan Comparison の Deployment セクションを参照してください。
値の範囲: ≥ 1≤ 1024
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="{{CLUSTER_ID}}"
curl --request POST \
--url "${BASE_URL}/v1/clusters/${CLUSTER_ID}/modify" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"cuSize": 2
}'
レスポンス200 OK - application/json
対象クラスターの ID を返します。
成功レスポンス。
codeinteger
レスポンスコード。
dataobject
クラスターの ID を含むオブジェクトであるレスポンスペイロード。
clusterIdstring
クラスターの ID。
promptstring
現在の操作が成功したことを示す文言。
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 200,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."
}
}